[med-svn] [Git][med-team/phyx][master] 4 commits: Add changelog entry

Andreas Tille gitlab at salsa.debian.org
Wed Sep 11 20:56:14 BST 2019



Andreas Tille pushed to branch master at Debian Med / phyx


Commits:
8ab2c63e by Andreas Tille at 2019-09-11T19:21:16Z
Add changelog entry

- - - - -
54631f6a by Andreas Tille at 2019-09-11T19:21:51Z
debhelper-compat 12

- - - - -
aae7183c by Andreas Tille at 2019-09-11T19:21:56Z
Standards-Version: 4.4.0

- - - - -
18d4d890 by Andreas Tille at 2019-09-11T19:49:46Z
Add autopkgtest

- - - - -


5 changed files:

- debian/changelog
- − debian/compat
- debian/control
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,25 @@
+phyx (0.999+ds-2) UNRELEASED; urgency=medium
+
+  * Team upload
+
+  [ Steffen Möller ]
+  * Add new d/u/metadata file
+
+  [ Afif Elghraoui ]
+  * Remove myself from Uploaders
+
+  [ Shayan Doust ]
+  * Port couple of python files from python2 to python3
+    Closes: #937285
+  * Set debhelper 12 from 11
+
+  [ Andreas Tille ]
+  * debhelper-compat 12
+  * Standards-Version: 4.4.0
+  * Add autopkgtest
+
+ -- Shayan Doust <hello at shayandoust.me>  Wed, 11 Sep 2019 21:17:58 +0200
+
 phyx (0.999+ds-1) unstable; urgency=medium
 
   * New upstream version


=====================================
debian/compat deleted
=====================================
@@ -1 +0,0 @@
-12


=====================================
debian/control
=====================================
@@ -3,14 +3,14 @@ Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.
 Uploaders: Andreas Tille <tille at debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                python3,
                liblapack-dev,
                libnlopt-cxx-dev,
                libnlopt-dev,
                libatlas-cpp-0.6-dev,
                libarmadillo-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/phyx
 Vcs-Git: https://salsa.debian.org/med-team/phyx.git
 Homepage: https://github.com/FePhyFoFum/phyx


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,93 @@
+#!/bin/bash
+set -e
+
+pkg=phyx
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+cd pxaa2cdn_example && pxaa2cdn -a AA_Alignment.fa -n Unaligned_Nucleotide.fa -o CDN_aln.fa && cd ..
+
+cd pxbdfit_example && pxbdfit -t bd.tre -m yule && cd ..
+
+# cd pxbdsim_example && pxbdsim -e 100 -s -b 1 -d 0.5 -o output_tree_file && cd ..
+
+cd pxboot_example && pxboot -s Alignment -x 112233 -f 0.50 -o output_of_50_jackknife && cd ..
+
+cd pxboot_example && pxboot -s Alignment -p parts -o output_of_bootstrap && cd ..
+
+cd pxbp_example && pxbp -t Tree.tre -o bp_output && cd ..
+
+cd pxcat_example && pxcat -s *.fas *.fa *.phy -p Parts.txt -o Supermatrix.fa && cd ..
+
+cd pxclsq_example && pxclsq -s Alignment -p 0.6 && cd ..
+
+cd pxconsq_example && pxconsq -s Alignment && cd ..
+
+cd pxcontrates_example && pxcontrates -c contrates_file.txt -t contrates_tree.tre -a 1 && cd ..
+
+cd pxfqfilt_example && pxfqfilt -s fqfilt_test.fastq -m 10 && cd ..
+
+cd pxlog_example && pxlog -t *.trees -i && cd ..
+
+cd pxlog_example && pxlog -t *.trees -b 75 -n 2 -o some_output_filename && cd ..
+
+cd pxlssq_example && pxlssq -s Alignment && cd ..
+
+cd pxlstr_example && pxlstr -t Tree.tre && cd ..
+
+cd pxmrca_example && pxmrca -t mrca_test.tre -m mrca.txt && cd ..
+
+cd pxmrcacut_example && pxmrcacut -t tree -m mrca_file && cd ..
+
+cd pxmrcaname_example && pxmrcaname -t tree -m mrca_file && cd ..
+
+cd pxnj_example && pxnj -s Alignment.aln && cd ..
+
+cd pxnw_example && pxnw -s Alignment.aln && cd ..
+
+cd pxrecode_example && pxrecode -s Nucleotide.fa && cd ..
+
+cd pxrevcomp_example && pxrevcomp -s Nucleotide.fa && cd ..
+
+cd pxrls_example && pxrls -s SeqFile -c CurrentNames -n NewNames && cd ..
+
+cd pxrlt_example && pxrlt -t kingdoms.tre -c kingdoms.oldnames.txt -n kingdoms.newnames.txt && cd ..
+
+cd pxrms_example && pxrms -s Nucleotide.fa -f taxa_to_delete.txt && cd ..
+
+cd pxrmt_example && pxrmt -t rmt_test.tre -n s1,s6,s8 && cd ..
+
+cd pxrr_example && pxrr -t rr_test.tre -g s1,s2 && cd ..
+
+cd pxs2fa_pxs2phy_pxs2nex_example && \
+   pxs2fa -s Alignment && \
+   pxs2phy -s Alignment && \
+   pxs2nex -s Alignment && \
+   cd ..
+
+cd pxseqgen_example && pxseqgen -t seqgen_test.tre && cd ..
+
+cd pxseqgen_example && pxseqgen -t tree_file -o output_alignment -m .33,.33,.33,.33,.33,.33,2,.3,.3,.2,.5,.4,.2 && cd ..
+
+cd pxsstat_example && pxsstat -s Alignment.fa && cd ..
+
+cd pxstrec_example && pxstrec -d test.data.narrow -t test.tre -c config_stmap && cd ..
+
+cd pxsw_example && pxsw -s Alignment.fa && cd ..
+
+cd pxt2new_example && pxt2new -t Tree.nex && cd ..
+
+cd pxtlate_example && pxtlate -s Sequence.fa && cd ..
+
+cd pxtscale_example && pxtscale -t Tree -s 2.0 && cd ..
+
+cd pxupgma_example && pxupgma -s drosophila.aln && cd ..
+
+cd pxvcf2fa_example && pxvcf2fa -s vcf_file && cd ..



View it on GitLab: https://salsa.debian.org/med-team/phyx/compare/4536ab937063e79342452a3b54a043ec17934563...18d4d89037074256b3bc3c6ec8a5c6ec939b614f

-- 
View it on GitLab: https://salsa.debian.org/med-team/phyx/compare/4536ab937063e79342452a3b54a043ec17934563...18d4d89037074256b3bc3c6ec8a5c6ec939b614f
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190911/e23d8441/attachment-0001.html>


More information about the debian-med-commit mailing list